### Hierarchy

- GameInputDevice

## Index

### Properties

- enabled
- id
- name
- numControls
- sampleInterval
- MAX_BUFFER_SIZE

### Methods

- getCachedSamples
- getControlAt
- get_numControls
- startCachingSamples
- stopCachingSamples

## Properties

### enabled

enabled: boolean

- Defined in lib/openfl/ui/GameInputDevice.d.ts:17

Enables or disables this device.

### id

id: string

- Defined in lib/openfl/ui/GameInputDevice.d.ts:22

Returns the ID of this device.

### name

name: string

- Defined in lib/openfl/ui/GameInputDevice.d.ts:27

Returns the name of this device.

### numControls

numControls: number

- Defined in lib/openfl/ui/GameInputDevice.d.ts:32

Returns the number of controls on this device.

### sampleInterval

sampleInterval: number

- Defined in lib/openfl/ui/GameInputDevice.d.ts:39

Specifies the rate (in milliseconds) at which to retrieve control values.

### Static MAX_BUFFER_SIZE

MAX_BUFFER_SIZE: int

- Defined in lib/openfl/ui/GameInputDevice.d.ts:12

## Methods

### getCachedSamples

- getCachedSamples(data: ByteArray, append?: boolean): number

- - Defined in lib/openfl/ui/GameInputDevice.d.ts:48

  Writes cached sample values to the ByteArray.

  #### Parameters

  - ##### data: ByteArray

  - ##### Optional append: boolean

  #### Returns number

### getControlAt

- getControlAt(i: number): GameInputControl

- - Defined in lib/openfl/ui/GameInputDevice.d.ts:56

  Retrieves a specific control from a device.

  #### Parameters

  - ##### i: number

  #### Returns GameInputControl

### Protected get_numControls

- get_numControls(): number

- - Defined in lib/openfl/ui/GameInputDevice.d.ts:34

  #### Returns number

### startCachingSamples

- startCachingSamples(numSamples: number, controls: Vector<String>): void

- - Defined in lib/openfl/ui/GameInputDevice.d.ts:64

  Requests this device to start keeping a cache of sampled values.

  #### Parameters

  - ##### numSamples: number

  - ##### controls: Vector<String>

  #### Returns void

### stopCachingSamples

- stopCachingSamples(): void

- - Defined in lib/openfl/ui/GameInputDevice.d.ts:70

  Stops sample caching.

  #### Returns void

Generated using TypeDoc